Main Page Class List Class Members

# Nv::Blast::VSA Namespace Reference

## Classes
struct | Vec3
struct | Vec4
struct | VS3D_Halfspace_Set
## Typedefs
typedef float | real
## Functions
int | ext_index (int c_10, int c_21, int c_20)
bool | frac_gt (real a_num, real a_rden2, real b_num, real b_rden2)
int | index_of_max_frac (real x0_num, real x0_rden2, real x1_num, real x1_rden2, real x2_num, real x2_rden2)
int | index_of_max_sgn_sq (real sgn_x0, real sq_x0, real sgn_x1, real sq_x1, real sgn_x2, real sq_x2)
int | index_of_min (real x0, real x1, real x2)
Vec3 | operator* (real s, const Vec3 &v)
Vec3 | operator+ (const Vec3 &a, const Vec3 &b)
Vec3 | operator^ (const Vec3 &a, const Vec3 &b)
real | operator| (const Vec4 &a, const Vec4 &b)
real | operator| (const Vec3 &a, const Vec3 &b)
Vec3 | perp (const Vec3 &a, const Vec3 &b)
void | project2D (Vec3 &r, const Vec3 &plane, real delta, real recip_n2, real eps2)
bool | sgn_sq_gt (real sgn_a, real a2, real sgn_b, real b2)
real | sq (real x)
Vec3 | vec3 (real x, real y, real z)
Vec4 | vec4 (const Vec3 &v, real w)
int | vs3d_test (VS3D_Halfspace_Set &halfspace_set, real *q=nullptr)

## Typedef Documentation

typedef float Nv::Blast::VSA::real

## Function Documentation

int Nv::Blast::VSA::ext_index | ( | int | c_10,
|  | int | c_21,
|  | int | c_20 |
| ) |  |  | `[inline]`

bool Nv::Blast::VSA::frac_gt | ( | real | a_num,
|  | real | a_rden2,
|  | real | b_num,
|  | real | b_rden2 |
| ) |  |  | `[inline]`

int Nv::Blast::VSA::index_of_max_frac | ( | real | x0_num,
|  | real | x0_rden2,
|  | real | x1_num,
|  | real | x1_rden2,
|  | real | x2_num,
|  | real | x2_rden2 |
| ) |  |  | `[inline]`

int Nv::Blast::VSA::index_of_max_sgn_sq | ( | real | sgn_x0,
|  | real | sq_x0,
|  | real | sgn_x1,
|  | real | sq_x1,
|  | real | sgn_x2,
|  | real | sq_x2 |
| ) |  |  | `[inline]`

int Nv::Blast::VSA::index_of_min | ( | real | x0,
|  | real | x1,
|  | real | x2 |
| ) |  |  | `[inline]`

Vec3 Nv::Blast::VSA::operator* | ( | real | s,
|  | const Vec3 & | v |
| ) |  |  | `[inline]`

Vec3 Nv::Blast::VSA::operator+ | ( | const Vec3 & | a,
|  | const Vec3 & | b |
| ) |  |  | `[inline]`

Vec3 Nv::Blast::VSA::operator^ | ( | const Vec3 & | a,
|  | const Vec3 & | b |
| ) |  |  | `[inline]`

real Nv::Blast::VSA::operator| | ( | const Vec4 & | a,
|  | const Vec4 & | b |
| ) |  |  | `[inline]`

real Nv::Blast::VSA::operator| | ( | const Vec3 & | a,
|  | const Vec3 & | b |
| ) |  |  | `[inline]`

Vec3 Nv::Blast::VSA::perp | ( | const Vec3 & | a,
|  | const Vec3 & | b |
| ) |  |  | `[inline]`

void Nv::Blast::VSA::project2D | ( | Vec3 & | r,
|  | const Vec3 & | plane,
|  | real | delta,
|  | real | recip_n2,
|  | real | eps2 |
| ) |  |  | `[inline]`

bool Nv::Blast::VSA::sgn_sq_gt | ( | real | sgn_a,
|  | real | a2,
|  | real | sgn_b,
|  | real | b2 |
| ) |  |  | `[inline]`

real Nv::Blast::VSA::sq | ( | real | x | ) | `[inline]`

Vec3 Nv::Blast::VSA::vec3 | ( | real | x,
|  | real | y,
|  | real | z |
| ) |  |  | `[inline]`

Vec4 Nv::Blast::VSA::vec4 | ( | const Vec3 & | v,
|  | real | w |
| ) |  |  | `[inline]`

int Nv::Blast::VSA::vs3d_test | ( | VS3D_Halfspace_Set & | halfspace_set,
|  | real * | q = `nullptr` |
| ) |  |  | `[inline]`